<!DOCTYPE html>
<html>

	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML - Forms, Tables and Semantic HTML</title>
	</head>

	<body>
		<!-- header tag is a semantic tag to inform the developer and client that this component is for the header of the web page. -->
		<header>
			<h2 align = "center">HTML Entities</h2>
		</header>

		<main>
			<!-- This section is for the HTML Table. -->
			<section>
				<p><em>Reserved characters in HTML (e.g. &lt; or &gt;) that can be mixed up with HTML code.</em></p>

				<!-- border attribute defines the thickness of the table border -->
				<table border = "2">
					<!-- thead tag is for the header of the table. -->
					<thead>
						<!-- tr - tag defines a table row -->
						<!-- First Row on our header -->
						<tr>
							<!-- th tag defines a table header element. -->
							<!-- colspan attribute changes the amount of columns a table element will occupy -->
							<th colspan = "2">Entity</th>
							<!-- rowspan attribute changes the amount of rows a table element will occupy. -->
							<th rowspan = "2">Description</th>
						</tr>

						<!-- Second row of oyr header -->
						<tr>
							<th>Symbol</th>
							<th>Name/Number</th>
						</tr>
					</thead>

					<!-- tbody tag is for the body of the table -->
					<tbody>
						<!-- this is the first row -->
						<tr>
							<!-- td - we used td for the columns of our tbody -->
							<td>&lt;</td>
							<td>lt</td>
							<td>less than</td>
						</tr>

						<!-- This is second row -->
						<tr>
							<td>&gt;</td>
							<td>gt</td>
							<td>greater than</td>
						</tr>

						<!-- this is the third row -->
						<tr>
							<td>&#8369;</td>
							<td>#8369</td>
							<td>peso sign</td>
						</tr>

						<!-- this is the fourth row -->
						<tr>
							<td>&amp;</td>
							<td>amp</td>
							<td>ampersand</td>
						</tr>

						<!-- this is the fifth row -->
						<tr>
							<td>&quot;</td>
							<td>quot</td>
							<td>double quotation mark</td>
						</tr>

						<!-- this is the sixth row -->
						<tr>
							<td>&apos;</td>
							<td>apos</td>
							<td>single question mark (apostrophe)</td>
						</tr>

						<!-- this is the seventh row -->
						<tr>
							<td>&ntilde;</td>
							<td>ntilde</td>
							<td>Lower tilde</td>
						</tr>

						<!-- This is the eigth row -->
						<tr>
							<td>&Ntilde;</td>
							<td>Ntilde</td>
							<td>Upper tilde</td>
						</tr>
					</tbody>

					<!-- tfoot tag is for the footer of the table. -->
					<tfoot>
						<tr>
							<th colspan = "3">List of HTML Entities</th>
						</tr>
					</tfoot>
				</table>

			</section>
			<!-- This the end of Table section -->

			<!-- This section is for the HTML Form -->
			<section>
				<h2 align = "center">HTML Form</h2>

				<p><em>Input elements that make up a form.</em></p>

				<form>
					<!-- Text inputs -->
					<!-- label tag - creates a text element that serve as the label for the input field. -->
					<!-- type attribute will define what type of information the input field should -->
					<!-- for attribute is used with the id attribute in an input element. This allows users to click the label to type their response. -->
					<!-- name attribute - it tells the database/api where the value collected from the user will be added depending on the method. -->
					<!-- value attribute - it is the information from the user that will be passed on the database. -->
					<label for = "fullname">Full Name:</label><br>
					<input type="text" name="fullname" id = "fullname" required/><br/>

					<label for = "birthdate">Birthdate:</label><br/>
					<input type="date" name="birthdate" id = "birthdate" required autocomplete/><br/>

					<label>Age:</label><br/>
					<input type="number" name="age" id = "age" required autocomplete/><br/>

					<!-- Dropdown -->
					<label for = "gender">Gender:</label><br/>
					<select name = "gender" id = "gender">
						<option value = "male">Male</option>
						<option value = "female">Female</option>
					</select><br/>

					<!-- textarea -->
					<label for = "suggestion">Suggestion:</label><br/>
					<textarea name = "suggestion" rows="5" cols="5" id = "suggestion" required autocomplete></textarea><br/>

					<!-- Radio button -->
					<label>Civil Status:</label><br/>

					<input type="radio" name="civilstatus" value = "single" id = "single"/>
					<label for = "single">Single</label><br/>

					<input type="radio" name="civilstatus" value = "married" id = "married"/>
					<label for = "married">Married</label><br/>


					<!-- Checkbox -->
					<label>Job:</label><br/>

					<input type="checkbox" name="job1" value = "developer" id = "developer"/>
					<label for = "developer">Developer</label><br/>

					<input type="checkbox" name="job2" value = "student" id = "student"/>
					<label for = "student">Student</label><br/>


					<input type="checkbox" name="job3" value = "manager" id = "manager"/>
					<label for = "manager">Manager</label><br/>

					<button>Submit</button><br/>
					<!-- reset value in type attribute will reset the inputs of the user in the input fields. -->
					<button type = "reset">Reset</button>
					
				</form>
			</section>
		</main>
	</body>

</html>